### Hierarchy

- FilePartMetadata
  - FilePart
    - FileChunk

## Index

### Properties

- buffer
- endByte
- md5
- partNumber
- size
- startByte

## Properties

### buffer

buffer: Buffer | ArrayBuffer

- Defined in lib/api/upload/file.ts:43

### endByte

endByte: number

Inherited from FilePartMetadata.endByte

- Defined in lib/api/upload/file.ts:37

### md5

md5: string

- Defined in lib/api/upload/file.ts:44

### partNumber

partNumber: number

Inherited from FilePartMetadata.partNumber

- Defined in lib/api/upload/file.ts:38

### size

size: number

Inherited from FilePartMetadata.size

- Defined in lib/api/upload/file.ts:39

### startByte

startByte: number

Inherited from FilePartMetadata.startByte

- Defined in lib/api/upload/file.ts:36